%define name cpmtools
%define version 1.3
%define release 2mdk

Summary: A collection of CP/M tools
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Redistributable
Group: File tools
Source: %{name}.tar.bz2
Patch: cpmtools-%{version}.diff.bz2
Packager: Ian Macdonald <ianmacd@xs4all.nl>
Buildroot: /var/tmp/%{name}-buildroot

%description
The cpmtools 1.3 package allows you to create, check, read and write CP/M file
systems similar to the mtools package, which accesses DOS file systems.
Beside the regular user commands, there is a file system editor (read-only
for now).  All features of CP/M file systems are supported.

mkfs.cpm supports Amstrad PCW CF2 and CF2DD file-systems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{bin,man/man{1,5}}}
install -c -s -m 755 cpmls $RPM_BUILD_ROOT/usr/bin/cpmls
install -c -s -m 755 cpmcp $RPM_BUILD_ROOT/usr/bin/cpmcp
install -c -s -m 755 cpmrm $RPM_BUILD_ROOT/usr/bin/cpmrm
install -c -s -m 755 mkfs.cpm $RPM_BUILD_ROOT/usr/bin/mkfs.cpm
install -c -s -m 755 fsck.cpm $RPM_BUILD_ROOT/usr/bin/fsck.cpm
install -c -s -m 755 fsed.cpm $RPM_BUILD_ROOT/usr/bin/fsed.cpm
install -c -m 644 diskdefs $RPM_BUILD_ROOT/etc/diskdefs
install -c -m 644 cpmls.1 $RPM_BUILD_ROOT/usr/man/man1/cpmls.1
install -c -m 644 cpmcp.1 $RPM_BUILD_ROOT/usr/man/man1/cpmcp.1
install -c -m 644 cpmrm.1 $RPM_BUILD_ROOT/usr/man/man1/cpmrm.1
install -c -m 644 mkfs.cpm.1 $RPM_BUILD_ROOT/usr/man/man1/mkfs.cpm.1
install -c -m 644 fsck.cpm.1 $RPM_BUILD_ROOT/usr/man/man1/fsck.cpm.1
install -c -m 644 fsed.cpm.1 $RPM_BUILD_ROOT/usr/man/man1/fsed.cpm.1
install -c -m 644 cpm.5 $RPM_BUILD_ROOT/usr/man/man5/cpm.5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc ANNOUNCE cpmtools.html
%config /etc/diskdefs
/usr/bin/*
/usr/man/man1/*
/usr/man/man5/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- fix group
- fix files section

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 

* Tue Aug 4 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to 1.3
- built against glibc
- added BuildRoot
- changed install root from /usr/local to /usr
                                                 
